#! /bin/csh -fe
#
#   Wedger Elves example background autoindexing script
#
/programs/ccp4-7.0/bin/ipmosflm HKLOUT  auto.mtz   \
         SPOTOD  auto.spotod \
         SUMMARY logs/autoindex.xlog    \
         COORDS  auto.coords << eof-ipmosflm
#
GENFILE auto.gen
#

# Detector parameters (range, quantum gain, etc.)
SCANNER omega 90 ROTATION horiz ANTI FAST horiz ORIGIN UR RECTANG ADSC
OVERLOAD CUTOFF 65535
GAIN 0.3
LIMITS RMAX 9999 YMAX 314.573 XMAX 314.573 xscan 314.573 yscan 314.573

# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.977408
DISPERSION    0.00014
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      200
BEAM          156.4 156.9
TWOTHETA      -0.002192
#
NEWMATRIX  auto.mat

# Crystal parameters
#CELL     KEEP 100 100 100 90 90 90
SYMMETRY      P43212
RESOLUTION 1.2
MOSAIC     1

# frame filename breakdown
DIRECTORY    /data3/anonymous/pub/ALS/501/lyso
IDENTIFIER   BL501_2016_10_26_pin2_2_00
EXTENSION    .img
TEMPLATE BL501_2016_10_26_pin2_2_00###.img
#
FINDSPOTS MINX 0.1 MINY 0.1 MAXX 5 MAXY 5 SPLIT 0.2 0.2
#
MOSAIC estimate

AUTOINDEX DPS THRESH 5 IMAGE 1 46 91 100 
#
go
#
eof-ipmosflm

