#! /bin/csh -f
#	
#	auto-generated rigid-body script
#
set pdbin = "$1"
if(! -e "$pdbin") set pdbin = files/molrep.pdb

set twin = ""
if("$2" == "twin") set twin = twin

set mtzfile = ./refme.mtz
set tempfile = tempfile


#get variables from mtz file
echo "go" | mtzdump hklin $mtzfile |\
awk '/OVERALL FILE STATISTICS/,/No. of reflections used/' |\
awk 'NF>10 && $(NF-1) ~ /[FQPWADI]/' |\
cat >! ${tempfile}mtzdmp

# use completeness, or F/sigF to pick default F
cat ${tempfile}mtzdmp |\
awk '$(NF-1) == "F"{F=$NF; meanF=$8; reso=$(NF-2); comp=substr($0,32)+0; \
      getline; S=$NF; if($8) meanF /= $8; print F, S, reso, comp, meanF;}' |\
sort -k3n,4 -k4nr,5 -k5nr >! ${tempfile}F

# and extract all dataset types/labels
cat ${tempfile}mtzdmp |\
awk 'NF>2{print $(NF-1), $NF, " "}' |\
cat >! ${tempfile}cards

# pick F with best resolution, or F/sigma
set F    = `head -1 ${tempfile}F`
if($#F > 2) then
    set SIGF = $F[2]
    set F    = $F[1]
endif

refmac5 HKLIN $mtzfile HKLOUT ./refmacout.mtz \
XYZIN  $pdbin XYZOUT rigid_body.pdb << EOF-refmac
LABIN FP=$F SIGFP=$SIGF
LABO FC=FC PHIC=PHIC    FWT=2FOFCWT PHWT=PH2FOFCWT -
                     DELFWT=FOFCWT  PHDELWT=PHFOFCWT
REFI TYPE RIGID
RIGID NCYC 10
$twin
#SOLVENT NO
#REFI RESIDUAL MLKF METHOD CGRAD
#REFI RESO 6 3.0
#REFI BREF OVERALL
#REFI PHASE SIGMAcalc
EOF-refmac

